Intel® High Level Design
Support for Intel® High Level Synthesis Compiler, DSP Builder, OneAPI for Intel® FPGAs, Intel® FPGA SDK for OpenCL™
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.
438 Discussions

Need library for 32 bits app on DevCloud ( for vsim)

MGRAV
New Contributor I
732 Views

Hi,

I am currently trying to use HLS for FPGAs but when I try to compile vsim do not work, with the following error:

-bash: /glob/development-tools/versions/intelFPGA_pro/20.1/modelsim_ae/linuxaloem/vsim: No such file or directory

that sound like a typical error from 32 bit on 64 Ubuntu.

"file" confirm that vsim is 32bit.

 

Is it possible to get the extra lib installed that I can use the FPGAs ?

 

Best,

Mathieu

0 Kudos
1 Solution
BoonBengT_Intel
Moderator
340 Views

Hi @MGRAV,

Noted and thank you for your feedback, now it is clearer to me, indeed the ubuntu are not supported, references for the support OS for HLS can be found here (CentOS is one of them).
Good to know that it is working now, with that we would be closing the thread and transitioned to community support.

Best Wishes
BB

View solution in original post

11 Replies
ChithraJ_Intel
Moderator
711 Views

Hi Mathieu,


Thanks for posting Intel Community Forums.

We request you to give a clarification on your query. Could you please confirm whether you are working on oneAPI Devcloud or FPGA Devcloud?


Regards,

Chithra


MGRAV
New Contributor I
703 Views

Hi Chithra,

this is a good question I suppose FPGA Devcloud. However, because I don't really know the difference (they look the same to me), I can tell you that I register following this link: https://intelsoftwaresites.secure.force.com/fpgadevcloud

And  I follow the instruction here:

https://github.com/intel/FPGA-Devcloud

Best,

Mathieu

ChithraJ_Intel
Moderator
699 Views

Hi Mathieu,

 

Thanks for the quick response. It's evident that you are using FPGA Devcloud from the links which you shared. This forum is intended to handle oneAPI devcloud issues. We have a dedicated forum ( Intel® High Level Design Forum ) to handle FPGA related issues. So, we are moving this thread to Intel high level design forum where the experts in FPGA will guide you in your query.

Please follow up your query in the below link:

https://community.intel.com/t5/Intel-High-Level-Design/Need-library-for-32-bits-app-on-DevCloud-for-... 

Regards,

Chithra

 

BoonBengT_Intel
Moderator
594 Views

Hi @MGRAV 

Thank you for posting in Intel community forum, hope this message find you well and apologies for the delayed in response.
Quick check, is this issues still persisting? Clarification is the error happening on the devcloud or on your local machine where HLS are installed? If in devcloud in which node are you trying to connect to to run the HLS emulation? What are the command that you have executed which gets the error mention?

Suspecting that modelsim might not be installed maybe? If that is the case, it can be download in the following link here. (i.e. please do select the appropriate version accordingly)

Warm regards.
BB

MGRAV
New Contributor I
590 Views

Hi,

Yep, the problem si still around, and yes on the devcloud.

To connect I use the script as stated here : https://github.com/intel/FPGA-Devcloud/tree/master/main/Devcloud_Access_Instructions#devcloud-access...

I use the devcloud_login and tools_setup, so it's not always the same nodes, but for example now I am connected on the s005-n004 and no ways to make it work. But end December, early January I try many nodes and the problem look to be common to each one.

Best,

Mathieu

BoonBengT_Intel
Moderator
517 Views

Hi @MGRAV,

Apologize for the delay in response, by any chances did you managed to try the steps to download and installed the modelsim tool?
The error message seems to be stated that the tools are missing.
Please do try out and let us know if any difficulties after that.

Warm regards
BB

MGRAV
New Contributor I
503 Views

Hi  @BoonBengT_Intel ,

I am working on macOS. Sure I could make a VM and install it. But is it not the reason for the existence of the DevCloud ? That we don't need to go through the pain of the installation, licenses, etc. ?

So let make it simple:

- The tools are installed and the problem seems pretty simple to me. It's a 32-bit software as file confirm it.

 

file /glob/development-tools/versions/intelFPGA_pro/20.modelsim_ae/linuxaloem/vsim

 

- The error is generally due to the absence of the 32-bit version of the libraries. Is not simpler to install the missing libraries ?

Mathieu

MGRAV
New Contributor I
470 Views
BoonBengT_Intel
Moderator
372 Views

Hi @MGRAV,

Apologies for the late response and misunderstanding that you are trying to running HLS on your local machine.
I believe that you have successfully connect to DevCloud, and error of '...vsim: No such files or directory' happens upon tool setup? What are the command that you run for the tool setup?

I have tried to run tools_setup HLS QL 18.1 from my end and are seeing similar no such files error, and have got in touch with the relevant team to look into this and get back to you as soon as possible.

Thank you for your patients.

Warm regards
BB

MGRAV
New Contributor I
364 Views

Hi  @BoonBengT_Intel ,

I try everything possible

On the devcloud originally then I try on my ubuntu machine.  After being in touch with some people from Intel, I get that HLS is in fact not compatible with ubuntu. Once I get a license I also I tried on a CentOS but get sometime weird crashes sometime (even with examples). Finnaly, I make it working on a CentOS image  in docker using my Mac.

Best,

Mathieu

BoonBengT_Intel
Moderator
341 Views

Hi @MGRAV,

Noted and thank you for your feedback, now it is clearer to me, indeed the ubuntu are not supported, references for the support OS for HLS can be found here (CentOS is one of them).
Good to know that it is working now, with that we would be closing the thread and transitioned to community support.

Best Wishes
BB

View solution in original post

Reply